stages:
  - download_prerequisites
  - monitor

variables:
  DAYS: 30
  QA_GROUP: lkft

workflow:
  rules:
    - if: '$CI_COMMIT_BRANCH == "main"'
      when: always
    - when: never

download_prerequisites:
  image: public.ecr.aws/tuxsuite/tuxsuite:latest
  stage: download_prerequisites
  script:
    - curl -fsSOL "https://raw.githubusercontent.com/Linaro/squad-client-utils/master/squad-track-duration"
    - chmod +x squad-track-duration
  needs: []
  artifacts:
    paths:
      - squad-track-duration
    when: always

monitor:
  image: squadproject/squad-client:latest
  stage: monitor
  variables:
    STATUS_LOG: status.txt
  parallel:
    matrix:
    - QA_PROJECTS:
        - "linux-mainline-master"
        - "linux-next-master"
        - "linux-stable-rc-linux-6.10.y"
        - "linux-stable-rc-linux-6.9.y"
        - "linux-stable-rc-linux-6.6.y"
        - "linux-stable-rc-linux-6.1.y"
        - "linux-stable-rc-linux-5.15.y"
        - "linux-stable-rc-linux-5.10.y"
        - "linux-stable-rc-linux-5.4.y"
        - "linux-stable-rc-linux-4.19.y"
  script:
    - apt update && apt install -y python3-pip
    - pip install pandas plotly
    - for project in $(echo ${QA_PROJECTS}) ; do echo ${project} ; ./squad-track-duration --group ${QA_GROUP} --project ${project} --start-datetime $(date -I -d "@$(( $(date +%s) - ${DAYS} * 24 * 60 * 60 ))") --end-datetime $(date -I) 2>&1 | tee -a ${STATUS_LOG} ; mv index.html index-${project}.html ; done
  artifacts:
    paths:
      - ${CI_PROJECT_DIR}/${STATUS_LOG}
      - ${CI_PROJECT_DIR}/index-*.html
    when: always
  needs:
    - job: download_prerequisites
      artifacts: true
